(function() {
	var host = location.hostname;
	if (!/\.(tmall|taobao)\.com$/i.test(host)) return;
	var Show = {};
	var $ = function(id) {
			return id ? document.getElementById(id.toString().replace(/^#+/, '')) : null
		};
	var insert_style = function(styleStr, styleId) {
			if (!$(styleId)) {
				var head = document.getElementsByTagName('head')[0];
				var style = document.createElement('style');
				style.type = 'text/css';
				style.id = styleId;
				if (style.styleSheet) {
					style.styleSheet.cssText = styleStr
				} else {
					style.appendChild(document.createTextNode(styleStr))
				}
				head.appendChild(style);
				return true
			}
		};
	var versionStr = function() {
			var v = '0';
			sogouExplorer.runtime.sendMessage({
				type: 'getversion'
			}, function(response) {
				v = response.v
			});
			return v
		};
	var info = function(versionNum) {
			var l = location,
				d = document,
				e = encodeURIComponent,
				i = (l.search.match(/[?&]id=(\d+)/i) || [])[1],
				t = e(d.title),
				I = d.getElementById('J_ImgBooth'),
				s = I ? e(I.getAttribute('src')) : '',
				p = 'http://www.51zheduoduo.com/Show/Index/' + i + '?t=' + t + '&v='+versionNum,
				j = 'http://www.51zheduoduo.com/Show/Price/' + i + '?t=' + t + '&v='+versionNum;
			return {
				i: i,
				p: p,
				j: j
			}
		};
	var send_request = function(url, succ, err, params) {
			var xhr = new XMLHttpRequest();
			xhr.onreadystatechange = function() {
				try {
					if (xhr.readyState == 4) {
						if ((xhr.status >= 200 && xhr.status < 300) || xhr.status == 304) {
							var text = (xhr.responseText || '').toString().trim().replace(/(^\w+\()|(\)$)/g, '');
							var data = JSON.parse(text);
							succ && succ(data)
						} else {
							err && err()
						}
					}
				} catch (ex) {
					console.error(ex)
				}
			};
			xhr.open(params ? 'POST' : 'GET', url, true);
			xhr.send(params)
		};
	var diff = [{
		site: 'tmall',
		ref: 'J_RSPostageCont',
		color: '#c40000',
		hover: '#c40000',
		tabRef: 'J_TabBar',
		filter: '#b10000'
	}, {
		site: 'tb',
		ref: 'J_StepPrice',
		color: '#f40',
		hover: '#f22d00',
		tabRef: 'J_TabBar',
		filter: '#f40'
	}];
	var init_page = function(isTmall) {
		debugger;
			var config = isTmall ? diff[0] : diff[1];
			sogouExplorer.extension.sendRequest({action : "zdd_banbenhao"}, function(response){    	
			var item = info(response.version);
			if (!item.i) return;
			var step = $(config.ref);
			if (!step) return;
			send_request('https://rate.taobao.com/detailCommon.htm?callback=show&auctionNumId=' + item.i, function(data) {
				debugger;
				var show = document.createElement('button');
				show.id = 'zdd_mjx_btn';
				insert_style(".zdd_mjx_btn{ margin: 8px !important;font:12px Helvetica,Arial,sans-serif;text-decoration:none;padding:7px 17px;position:relative;display:inline-block;text-shadow:0 1px 0 #fff;-webkit-transition:border-color .218s;-moz-transition:border .218s;-o-transition:border-color .218s;transition:border-color .218s;background:#f3f3f3;background:-webkit-gradient(linear,0% 40%,0% 70%,from(#f5f5f5),to(#f1f1f1));background:-moz-linear-gradient(linear,0% 40%,0% 70%,from(#f5f5f5),to(#f1f1f1));border:solid 1px #dcdcdc;border-radius:2px;-webkit-border-radius:2px;-moz-border-radius:2px;cursor:pointer}.zdd_mjx_btn_tmall{color:#333;text-shadow:none;background-image:-webkit-linear-gradient(top,#ffffff, #ffffff);background-color:#ffffff;border:1px solid #ffffff;margin:0 5px;}.zdd_mjx_btn_tb{color:#333;text-shadow:none;background-image:-webkit-linear-gradient(top,#F6F6F6, #F6F6F6);background-color:#F6F6F6;border:1px solid #F6F6F6;margin:0 5px;}", "kael_link_style");
				var count = parseInt((((data || {}).data || {}).count || {}).pic, 10) || 0;
				if (count < 1) {
					//show.href = 'http://www.51zheduoduo.com/';
					show.title = '该宝贝暂无买家秀';
					show.innerHTML = '该宝贝暂无买家秀';
					
				} else {
					//show.href = '#';
					show.title = '买家秀大图';
					show.innerHTML = '买家秀大图(共<em style="display: inline;color:#35a; font-weight:bold;">' + count + '</em>个)';
					
				}
				isTmall ? show.setAttribute("class", "zdd_mjx_btn zdd_mjx_btn_tmall") : show.setAttribute("class", "zdd_mjx_btn zdd_mjx_btn_tb"); 
				var li = document.createElement('li');
				var li_link = show.cloneNode(true);
				li_link.id = 'kael_show_link_list';
				li_link.onclick = function() {
					window.location.replace(item.p);
					return false
				};
				li.appendChild(li_link);
				var $tabRef = $(config.tabRef);
				var insertTab = function() {
						if ($tabRef.childNodes.length) {
							$tabRef.appendChild(li)
						} else {
							setTimeout(insertTab, 300)
						}
					};
				insertTab();
				/*累计评论
				 * var li_filter = document.createElement('li');
				var mjx_radio=document.createElement("input");
				mjx_radio.setAttribute("type","radio");
				var li_link_filter = show.cloneNode(true);
				li_link_filter.innerHTML = '查看高清大图';
				li_link_filter.id = 'kael_show_link_list_filter';
				li_link_filter.onclick = function() {
					window.location.replace(item.p);
					return false
				};
				li_filter.appendChild(li_link_filter);
				var insertFilter = function() {
						var $filter = document.querySelector(isTmall ? '.rate-filter' : '.J_KgRate_Filter');
						if ($filter) {
							if (isTmall) {
								$filter.appendChild(isTmall ? li_link_filter : li_filter)
							} else {
								$('reviews-t-val3').parentElement.parentElement.appendChild(li_link_filter)
							}
						} else {
							setTimeout(insertFilter, 1000)
						}
					};
				insertFilter()*/
			})
			}
			);			
			
		};
	var insert_script = function(scriptStr) {
			var script = document.createElement('script');
			script.innerHTML = scriptStr;
			document.body.appendChild(script)
		};
	document.addEventListener('DOMContentLoaded', function() {
		init_page(/\.(tmall)\.com$/.test(host))
	})
})();