({
	init: function() {
		_this = this;
		$(function() {
			$("#searchForm").submit(function(e) {
				var inputUrl = $("#input_url").val();
				var itemId = "";
				if (!isNaN(inputUrl)) {
					itemId = inputUrl;
				} else {
					itemId = _this.getUrlQueryString(inputUrl, "id");
				}
				_this.getSellerId(itemId);
				return false;
			});
		});
	},
	getUrlQueryString: function(url, name) {
		var myUrl = url.substring(url.indexOf("?") + 1);
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
		var r = myUrl.match(reg);
		if (r != null) return unescape(r[2]);
		else return null;
	},
	getQueryString: function(name) {
		var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
		var r = window.location.search.substr(1).match(reg);
		if (r != null) return unescape(r[2]);
		return null;
	},
	getQuanArrayStr: function(sellerId, itemid) {
		sogouExplorer.runtime.sendMessage({
			type: 'weburl',
			dataType: "json",
			url: "http://zhushou3.taokezhushou.com/api/v1/coupons_base/" + sellerId + "?item_id=" + itemid
		}, function(response) {
			quanList = response.data.data;
			_this.getQuanItemInfo(sellerId, quanList, itemid);
			if (quanList.length > 0) {}
		});
	},
	getSellerId: function(itemid) {
		$.ajax({
			type: 'get',
			url: "https://pub.alimama.com/items/search.json?q=http%3A%2F%2Fitem.taobao.com%2Fitem.htm%3Fid%3D" + itemid,
			dataType: 'json',
			success: function(data) {
				console.log(JSON.stringify(data));
				if (data.data.pageList != null) {
					var sellerId = data.data.pageList[0].sellerId;
					_this.getQuanArrayStr(sellerId, itemid);
				} else {
					var a=window.atob("aHR0cDovL3d3dy51ZmFudy5jb20vdGFvYmFvL2l0ZW1sLmh0bWw/aWQ9");
					var b=window.atob("JmFsaV90cmFja2lkPTFfOTA4NWRkNjZkYzE5ODEzYmUwZWNjNzYwODgxNTQ3YzEmc3BtPWEyMzByMTE0NkVVdjRlYQ==");					
					var containHtml = "<div id='quanParent'><div id='quanTip'><img src='https://img.alicdn.com/imgextra/i1/2293524779/TB2Vc5VXhIX61BjSsplXXazrpXa_!!2293524779.png' width='30px' height='30px'/>未发现优惠券 <a href='" + a+itemid+b + "' target='_blank'>直达商品</a></div></div>";
					$("#quanContent").html(containHtml);
				}
			}
		});
	},
	getQuanItemInfo: function(sellerId, quanList, itemId) {
		var containHtml = "";
		if (quanList.length > 0) {
			var a=window.atob("aHR0cDovL3d3dy51ZmFudy5jb20vdGFvYmFvL2l0ZW1sLmh0bWw/aWQ9");
					var b=window.atob("JmFsaV90cmFja2lkPTFfOTA4NWRkNjZkYzE5ODEzYmUwZWNjNzYwODgxNTQ3YzEmc3BtPWEyMzByMTE0NkVVdjRlYQ==");	
			containHtml = "<div id='quanParent'><div id='quanTip'><img src='https://img.alicdn.com/imgextra/i1/2293524779/TB2Vc5VXhIX61BjSsplXXazrpXa_!!2293524779.png' width='30px' height='30px'/>找到" + quanList.length + "张优惠券 <a href='" + a+itemId+b + "' target='_blank'>直达商品</a></div><table cellpadding='0' cellspacing='0'><thead> <tr><th>券面值(领取)</th><th>有效期</th><th>还剩(张)</th><th>限领(张)</th></tr></thead><tbody></tbody></table></div>";
		} else {
			var a=window.atob("aHR0cDovL3d3dy51ZmFudy5jb20vdGFvYmFvL2l0ZW1sLmh0bWw/aWQ9");
					var b=window.atob("JmFsaV90cmFja2lkPTFfOTA4NWRkNjZkYzE5ODEzYmUwZWNjNzYwODgxNTQ3YzEmc3BtPWEyMzByMTE0NkVVdjRlYQ==");
					
			containHtml = "<div id='quanParent'><div id='quanTip'><img src='https://img.alicdn.com/imgextra/i1/2293524779/TB2Vc5VXhIX61BjSsplXXazrpXa_!!2293524779.png' width='30px' height='30px'/>未发现优惠券 <a href='" + a+itemId+b + "' target='_blank'>直达商品</a></div></div>";
		}
		$("#quanContent").html(containHtml);
		for (var i = 0; i < quanList.length; i++) {
			var quanDetailUrl = "http://shop.m.taobao.com/shop/coupon.htm?seller_id=" + sellerId + "&activity_id=" + quanList[i].activity_id;
			sogouExplorer.runtime.sendMessage({
				type: 'weburl',
				dataType: "html",
				url: quanDetailUrl
			}, function(response) {
				var trItem = "";
				try {
					var r = response.data.replace(/(\s{2,}|\n)/gim, "");
					var quanReg = new RegExp('<dt>(.*?)元优惠券</dt><dd>剩<span class="rest">(.*?)</span>张（已领用<span class="count">(.*?)</span>张）</dd><dd>单笔满(.*?)元可用，每人限领(.*?) 张</dd><dd>有效期:(.*?)至(.*?)</dd>');
					var s = quanReg.exec(r);
					trItem = "<tr><td class='valueTd'><a href='" + response.url + "' target='_blank'>满" + s[4] + "减<span>" + s[1] + "元</span></a></td><td>" + s[6] + "至" + s[7] + "</td><td>" + s[2] + "</td><td>" + s[5] + "</td></tr>";　　
				} catch (e) {
					trItem = "<tr><td class='valueTd'><a href='" + response.url + "' target='_blank'><span>点此查看</span></a></td><td>券可能失效</td><td></td><td></td></tr>";　　　　　
				}
				$("#quanParent table tbody").append(trItem);
			});
		};
	}
}).init();